Subject: bug in mv?

From: Arthur Hoffmann <[email-masked]>

Hi,
I found a little problem in NetBSD's file-system

In my / directory I had a file called netbsd and one older one called
netbsd.good.

I then wanted to use the old netbsd.good file again, so I did:

mv netbsd.good netbsd

This results in the file system being corrupted.

I only noticed this because the diskspace didn't get freed, so I did
fsck on the / which resulted in the following output:

root@atze(49)$ fsck /dev/rsd1a
** /dev/rsd1a (NO WRITE)
** Last Mounted on /
** Root file system
** Phase 1 - Check Blocks and Sizes
** Phase 2 - Check Pathnames
** Phase 3 - Check Connectivity
** Phase 4 - Check Reference Counts
UNREF FILE I=3  OWNER=root MODE=100755
SIZE=721551 MTIME=Aug 28 23:44 1994 
CLEAR? no

** Phase 5 - Check Cyl groups
844 files, 8470 used, 778 free (178 frags, 75 blocks, 1.9% fragmentation)

Not that it bothers me much since fsck will fix the problem for me, I
just wanted to let someone know about this.

Ahh, and yes the rootfs is from the last binary snap shot.
(running NetBSD 1.0b :)

Arthur.

__
Arthur Hoffmann					58/1 Dickward Drive
						Fannie Bay N.T. 0820
						Darwin - Australia.
[email-masked]				Tel.:(0061/)89/818926